//-----------------------------------------
// ATCopyPause -- LScript Genetic
// Noboru Fujiyama 2003/05/27
//                 2003/09/25  add Automaton Model
//  Save Acs3b\Automaton Local Rotaion 
//
//  use IKtoRotClient.ls 
//  use temporay dir [Content]/temp/localrot/
//parameter 
//  Save Local Rot file : load file name 
@version 2.5
@script generic
@name ATSavePoseZ

@define AUTOMATON_VER 3.0
@define LAST_DIR "LastDir_Pose"

// BASE Libray select/key/channel
@insert "C:/home/user/src/NoboUtility/AutomatonZ/src/lscript/ATLib.lsi"

// Matrix Libray
@insert "C:/home/user/src/NoboUtility/AutomatonZ/src/lscript/ATMatrix.lsi"

/*************** Item Name Table ********************/
@insert "C:/home/user/src/NoboUtility/AutomatonZ/src/lscript/MBNameTable.lsi"
/*************** Item Name Table ********************/


generic 
{
	curScene = Scene();
	/* puah seleced item */
	xSelected = curScene.firstSelect();
	if( xSelected == nil)
	{
		error("<br>You must select something before performing this operation." );
		return;		
	}	
	push_selected_item( curScene , xSelected );

	if( 0 == ( nItemType = check_item( s_xParentItem , get_trans_and_rotaion_name() , 14 ) ) )
	{
		error("<br>You must select Automaton character Item ." );
		return;		
	}

	curItem = select_by_name( s_xParentItem , "Master" );
	s_xParentItem = curItem ;
	
	reqbegin("ATSavePose " + AUTOMATON_VER );
	
    var lastDir = globalrecall(LAST_DIR,"");
    var scenesDir = getdir("Scenes");
    var contentDir = getdir("Content");
    var dir = "";
    if( fileexists(lastDir) )
    {
        dir = lastDir;
    }
    else if( fileexists(scenesDir) )
    {
        dir = scenesDir;
	}
    else if( fileexists( contentDir ) )
    {
        dir = contentDir;
    }
    
	c1 = ctlfilename("Save Local Rot file", dir , 30 );
	return if !reqpost();
	fileName = getvalue(c1);
	
	path = split(fileName);
	globalstore( LAST_DIR , path[1]+path[2]);
		
	items = parse(".",fileName);
	fileName = items[1] + ".lrt" ;
	reqend();
	
		
	if((textFile = File( fileName , "w" ) ) == nil)
	{
		error("Dos not open file ", fileName );
		return;		
	}
	
	/********* save item *********/
	asRotationName = get_rotation_name() ;
	for( i = 1 ; i <=  asRotationName.count() ; i++ )
	{
		obj = curItem;
		outputLocalRot( obj , asRotationName[ i ] , curScene.currenttime , textFile ) ;
	}
	asTransAndRotationName = get_trans_and_rotaion_name();
	for( i = 1 ; i <= asTransAndRotationName.count() ; i++ )
	{
		obj = curItem;
		outputLocalTR( obj , asTransAndRotationName[ i ] , curScene.currenttime , textFile ) ;
	}
	for( i = 1 ; i <= s_asFingerRot.count() ; i++ )
	{
		obj = curItem;
		outputLocalRot( obj , s_asFingerRot[ i ] , curScene.currenttime , textFile ) ;
	}

	textFile.close() ;
	
	/* pop seleced item  */
	pop_selected_item( ) ;
}


